export declare function reduceImage(img: HTMLCanvasElement, ctx: CanvasRenderingContext2D | null, canvas: HTMLCanvasElement, scalingSteps?: number): HTMLCanvasElement;
export declare function createScaledCanvasContext(width: number, height: number, upscaleFactor?: number, enableHWA?: boolean): {
    ctx: CanvasRenderingContext2D | null;
    canvas: HTMLCanvasElement;
    transform: number[] | undefined;
};
export declare function destroyTempCanvas(): void;
